FROM python:3.11.8-bookworm AS aemo-fr

USER root

RUN mkdir -p /src
WORKDIR /src

RUN apt-get update && apt-get install -y --no-install-recommends \
    poppler-utils \
    libreoffice-writer \
    && rm -rf /var/lib/apt/lists/*

COPY requirements.txt /usr/local/pip-requirements/
RUN pip3 install \
    --quiet \
    --no-binary :none: \
    -r /usr/local/pip-requirements/requirements.txt


FROM aemo-fr AS aemo-fr-dev

COPY requirements_dev.txt /usr/local/pip-requirements/
RUN pip3 install \
    --quiet \
    --no-binary :none: \
    -r /usr/local/pip-requirements/requirements_dev.txt
